## EXPORT_SPEC int UpnpSetMaxContentLength

## ( IN size_t contentLength )

> Sets the maximum content-length that the SDK will process on an incoming SOAP requests or responses.

## Documentation

> Sets the maximum content-length that the SDK will process on an incoming SOAP requests or responses. This API allows devices that have memory constraints to exhibit consistent behaviour if the size of the incoming SOAP message exceeds the memory that device can allocate. The default maximum content-length is `DEFAULT_SOAP_CONTENT_LENGTH` = 16K bytes.

Parameters:
  contentLength - The maximum permissible content length for incoming SOAP actions, in bytes.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.

Alphabetic index

This page was generated with the help of DOC++.